# Class AwtFileDropper

java.lang.Object
jspecview.java.AwtFileDropper

All Implemented Interfaces:
  `DropTargetListener, EventListener, JSVFileDropper`

public class AwtFileDropper extends Object implements JSVFileDropper, DropTargetListener

## Constructor Summary

Constructors
Constructor
Description
`AwtFileDropper()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dragEnter(DropTargetDragEvent dtde)`
`void`
`dragExit(DropTargetEvent dtde)`
`void`
`dragOver(DropTargetDragEvent dtde)`
`void`
`drop(DropTargetDropEvent dtde)`
`void`
`dropActionChanged(DropTargetDragEvent dtde)`
`AwtFileDropper`
`set(JSViewer viewer)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AwtFileDropper

public AwtFileDropper()

## Method Details

### set

public AwtFileDropper set(JSViewer viewer)

Specified by:
  `set` in interface `JSVFileDropper`

### dragEnter

public void dragEnter(DropTargetDragEvent dtde)

Specified by:
  `dragEnter` in interface `DropTargetListener`

### dragOver

public void dragOver(DropTargetDragEvent dtde)

Specified by:
  `dragOver` in interface `DropTargetListener`

### dragExit

public void dragExit(DropTargetEvent dtde)

Specified by:
  `dragExit` in interface `DropTargetListener`

### dropActionChanged

public void dropActionChanged(DropTargetDragEvent dtde)

Specified by:
  `dropActionChanged` in interface `DropTargetListener`

### drop

public void drop(DropTargetDropEvent dtde)

Specified by:
  `drop` in interface `DropTargetListener`